Subject: Bug?: dd limited to <2G read size (2G-8K) on 64 bit machine?
From: Linda Walsh <[email-masked]>
To: [email-masked]
Date: Thu, 11 Oct 2012 20:11:53 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm running on a 64-bit version of openSuse 12.1 with a 3.6 vanilla kernel.

I find that if I try to use a read size of > (2G-8K), I get partial read 
errors.

Ishtar:> free
             total       used       free     shared    buffers     cached
Mem:      49487868   31923108   17564760          0    1077920   18871456
-/+ buffers/cache:   11973732   37514136
Swap:      8393924      18308    8375616

---
Should have plenty of memory.  I do have huge page support turned on.
ulimit doesn't look to be the problem (tried as root)
core file size          (blocks, -c) 100000
data seg size           (kbytes, -d) unlimited
scheduling priority             (-e) 0
file size               (blocks, -f) unlimited
pending signals                 (-i) 386074
max locked memory       (kbytes, -l) 512
max memory size         (kbytes, -m) 42064712
open files                      (-n) 1024
pipe size            (512 bytes, -p) 8
POSIX message queues     (bytes, -q) 819200
real-time priority              (-r) 0
stack size              (kbytes, -s) 8192
cpu time               (seconds, -t) unlimited
max user processes              (-u) 386074
virtual memory          (kbytes, -v) 46305440
file locks                      (-x) unlimited